# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "tishlang_bytecode"
version = "1.12.0"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Bytecode compiler for Tish (AST → bytecode)"
readme = false
license-file = "LICENSE"
repository = "https://github.com/tishlang/tish"

[lib]
name = "tishlang_bytecode"
path = "src/lib.rs"

[[test]]
name = "break_continue_bytecode"
path = "tests/break_continue_bytecode.rs"

[[test]]
name = "constant_folding"
path = "tests/constant_folding.rs"

[[test]]
name = "sort_optimization"
path = "tests/sort_optimization.rs"

[dependencies.tishlang_ast]
version = ">=0.1"

[dependencies.tishlang_core]
version = ">=0.1"

[dev-dependencies.tishlang_compile]
version = ">=0.1"

[dev-dependencies.tishlang_opt]
version = ">=0.1"

[dev-dependencies.tishlang_parser]
version = ">=0.1"

[dev-dependencies.tishlang_vm]
version = ">=0.1"
